<?php

namespace App\Controllers;

use App\Models\AppModel;
use CodeIgniter\Controller;

class Apps extends Controller
{
    public function save()
    {
        $name = $this->request->getPost('name');
        $data = $this->request->getPost('data'); // JSON string representing the survey state

        // Generate a slug (simple version, adjust as needed)
        $slug = strtolower(trim(preg_replace('/[^A-Za-z0-9-]+/', '-', $name)));

        $appModel = new AppModel();
        $appModel->save([
            'name' => $name,
            'slug' => $slug,
            'data' => $data,
        ]);

        return $this->response->setJSON([
            'slug' => $slug,
            'message' => 'Application saved successfully'
        ]);
    }
}
