<?php
// modules/ScriptureModule.php

ini_set('display_errors', 1);
error_reporting(E_ALL);

// Helper function if not already defined
if (!function_exists('esc')) {
    function esc($string) {
        return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
    }
}

class ScriptureModule {
    private $settings;
    private $instanceId;

    public function __construct($instanceId = '', $settings = []) {
        $this->instanceId = $instanceId ?: uniqid('scripture_');
        // Default sample scripture
        $this->settings = array_merge([
            'verse' => '"For God so loved the world, that he gave his only Son..."',
            'reference' => 'John 3:16',
        ], $settings);
    }

    public function render() {
        ob_start();
        ?>
        <div class="module-preview scripture-module" data-module="ScriptureModule" data-module-id="<?php echo esc($this->instanceId); ?>">
          <p style="color: #2c3e8f; font-weight: bold;">
            <?php echo esc($this->settings['verse']); ?>
          </p>
          <p style="color: #2c3e8f; font-style: italic;">
            — <?php echo esc($this->settings['reference']); ?>
          </p>
        </div>
        <?php
        return ob_get_clean();
    }

    // Added renderPreview method
    public function renderPreview() {
        return '<div class="module-preview" data-module="ScriptureModule"><strong>Scripture:</strong> '.esc($this->settings['verse']).'</div>';
    }
}
?>