<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use Config\Database;

class TestDB extends Controller
{
    public function index()
    {
        helper('url'); // Load helper to generate test URLs
        try {
            // ✅ Connect to the database using CI's built-in method
            $db = Database::connect();

            echo "<p style='color: green;'>✅ Connected to database using CodeIgniter!</p>";

            // ✅ Run a test query to list tables
            $query = $db->query("SHOW TABLES");
            $tables = $query->getResultArray();

            if (!empty($tables)) {
                echo "<p style='color: green;'>✅ Database connection successful! Found tables:</p><ul>";
                foreach ($tables as $table) {
                    echo "<li>" . array_values($table)[0] . "</li>";
                }
                echo "</ul>";
            } else {
                echo "<p style='color: orange;'>⚠️ Database connection is working, but no tables were found.</p>";
            }
        } catch (\Exception $e) {
            echo "<p style='color: red;'>❌ ERROR: Database connection failed: " . $e->getMessage() . "</p>";
        }
    }
}
