<?php
namespace App\Controllers;

use CodeIgniter\Controller;

class UploadController extends Controller
{
    public function index()
    {
        return view('upload');
    }

    public function upload()
    {
        $file = $this->request->getFile('image');
        
        if ($file->isValid() && !$file->hasMoved()) {
            $uploadPath = ROOTPATH . 'public/uploads'; // Updated path to the correct folder
            if (!is_dir($uploadPath)) {
                mkdir($uploadPath, 0777, true); // Create directory if not exists
            }
            
            $newName = $file->getRandomName();
            $file->move($uploadPath, $newName);

            return json_encode(['success' => true, 'file' => $newName]);
        } else {
            return json_encode(['success' => false, 'error' => 'Failed to upload image.']);
        }
    }

    public function getImages()
    {
        // Fetch the list of uploaded images
        $images = scandir(ROOTPATH . 'public/uploads');
        $images = array_diff($images, array('.', '..')); // Remove '.' and '..'
        return json_encode(array_values($images));
    }
}
