<?php

namespace App\Controllers;

use CodeIgniter\Controller;

class WSAppMaker extends BaseController
{
    public function index()
    {
        helper('filesystem');

        require_once APPPATH . 'ModulesV2/ParagraphTextAndScripture_v2.php';
        $mod = new \App\ModulesV2\ParagraphTextAndScripture_v2();

        $data = [
            'modules' => [
                [
                    'name' => 'ParagraphTextAndScripture_v2',
                    'buttonName' => 'Paragraph or Scripture (V2)'
                ]
            ],
            'moduleMarkup' => [
                'ParagraphTextAndScripture_v2' => $mod->render()
            ],
            'moduleSettingsMarkup' => [
                'ParagraphTextAndScripture_v2' => $mod->renderSettings()
            ],
        ];

        return view('ws_app_maker/index', $data);
    }

    public function update_module()
    {
        $request = $this->request->getJSON(true);
        $moduleType  = $request['moduleType'];
        $instanceId  = $request['instanceId'];
        $settings    = $request['settings'];

        require_once APPPATH . "ModulesV2/{$moduleType}.php";
        $class = "\\App\\ModulesV2\\{$moduleType}";
        $mod = new $class($instanceId, $settings);

        return $this->response->setJSON([
            'preview'  => $mod->render($settings),
            'settings' => $mod->renderSettings($settings),
        ]);
    }
}
