<?php
// Define the absolute path to the modules directory
$baseDir = __DIR__ . '/modules/';
error_log("Autoload baseDir: $baseDir");

// Register an autoloader for classes in the modules directory
spl_autoload_register(function ($class) use ($baseDir) {
    // Construct the file path assuming no namespace is used
    $file = $baseDir . $class . '.php';
    error_log("Attempting to load class: $class from file: $file");

    if (file_exists($file)) {
        require_once $file;
        error_log("Successfully loaded: $file");
    } else {
        error_log("Class $class not found in $file");
    }
});
?>
