<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Dashboard Examples</title>
  <!-- Tailwind CSS via CDN -->
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 dark:bg-gray-900">
  <div class="flex h-screen">
    <!-- Sidebar -->
    <aside class="w-64 bg-blue-900 text-white p-6 space-y-6">
      <h2 class="text-3xl font-bold">Dashboard</h2>
      <nav class="space-y-4">
        <a href="#" class="block p-2 rounded hover:bg-blue-700">Home</a>
        <a href="#" class="block p-2 rounded hover:bg-blue-700">Profile</a>
        <a href="#" class="block p-2 rounded hover:bg-red-500">Logout</a>
      </nav>
    </aside>

    <!-- Main Content -->
    <main class="flex-1 overflow-y-auto p-8">
      <!-- Header with Account Info -->
      <header class="mb-8">
        <div class="bg-white dark:bg-gray-800 p-6 rounded-lg shadow flex flex-col md:flex-row md:items-center md:justify-between">
          <div>
            <h1 class="text-2xl font-bold text-gray-800 dark:text-gray-200">John Doe</h1>
            <p class="text-gray-600 dark:text-gray-400">john.doe@example.com</p>
            <p class="text-sm text-gray-500 dark:text-gray-400">
              Role: Admin / Consultant / Participant
            </p>
          </div>
          <a href="#" class="mt-4 md:mt-0 bg-green-500 hover:bg-green-600 text-white px-4 py-2 rounded">
            Edit Profile
          </a>
        </div>
      </header>

      <!-- ADMIN DASHBOARD EXAMPLE -->
      <section class="mb-12">
        <h2 class="text-2xl font-bold text-blue-700 mb-4">Admin Dashboard Example</h2>
        <!-- User Levels Overview -->
        <div class="mb-6 p-6 bg-white dark:bg-gray-800 rounded-lg shadow">
          <h3 class="text-xl font-semibold text-gray-800 dark:text-gray-200">User Levels Overview</h3>
          <ul class="mt-4 space-y-2 text-sm text-gray-600 dark:text-gray-400">
            <li>Admins: <strong class="text-blue-500">5</strong></li>
            <li>Consultants: <strong class="text-green-500">20</strong></li>
            <li>Participants: <strong class="text-red-500">45</strong></li>
          </ul>
        </div>
        <!-- Mini App Modules Overview -->
        <div class="grid grid-cols-1 md:grid-cols-3 gap-6">
          <!-- Module 1 -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-lg font-semibold text-gray-800 dark:text-gray-200">Mini App: Divine Connect</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Completed: <strong>120</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Last Completed: <strong>Today, 9 AM</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Pending Invites: <strong>8</strong></p>
          </div>
          <!-- Module 2 -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-lg font-semibold text-gray-800 dark:text-gray-200">Mini App: Faith Frontier</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Completed: <strong>85</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Last Completed: <strong>Yesterday, 4 PM</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Pending Invites: <strong>5</strong></p>
          </div>
          <!-- Module 3 -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-lg font-semibold text-gray-800 dark:text-gray-200">Mini App: Spirit Survey</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Completed: <strong>200</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Last Completed: <strong>Today, 11 AM</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Pending Invites: <strong>12</strong></p>
          </div>
        </div>
      </section>

      <!-- CONSULTANT DASHBOARD EXAMPLE -->
      <section class="mb-12">
        <h2 class="text-2xl font-bold text-green-700 mb-4">Consultant Dashboard Example</h2>

        <!-- Consultant Badges: Coaching Impact -->
        <div class="mb-6">
          <h3 class="text-xl font-semibold text-gray-800 dark:text-gray-200 mb-2">Your Coaching Badges</h3>
          <div class="flex flex-wrap gap-4">
            <!-- Badge: Coaching Impact -->
            <div class="flex items-center space-x-3 bg-white dark:bg-gray-800 p-4 rounded-lg shadow border border-gray-200 dark:border-gray-700">
              <div class="w-12 h-12 flex-shrink-0 bg-indigo-400 rounded-full flex items-center justify-center">
                <!-- Sample icon (replace with your own) -->
                <svg class="w-6 h-6 text-white" fill="currentColor" viewBox="0 0 20 20">
                  <path d="M13 7H7v6h6V7z"></path>
                  <path fill-rule="evenodd" d="M5 3a2 2 0 00-2 2v10a2 2 0 002 2h10a2 2 0 002-2V5a2 2 0 00-2-2H5zm10 12H5V5h10v10z" clip-rule="evenodd"></path>
                </svg>
              </div>
              <div>
                <h4 class="font-bold text-gray-800 dark:text-gray-200">Coaching Impact</h4>
                <p class="text-sm text-gray-600 dark:text-gray-400">Participants Coached: <strong>75</strong></p>
              </div>
            </div>
            <!-- Badge: Consulting Excellence -->
            <div class="flex items-center space-x-3 bg-white dark:bg-gray-800 p-4 rounded-lg shadow border border-gray-200 dark:border-gray-700">
              <div class="w-12 h-12 flex-shrink-0 bg-teal-400 rounded-full flex items-center justify-center">
                <svg class="w-6 h-6 text-white" fill="currentColor" viewBox="0 0 20 20">
                  <path d="M10 2a1 1 0 00-.894.553L7.382 6H3a1 1 0 000 2h3.382l-.894 2H3a1 1 0 100 2h2.488l-1.5 3H2a1 1 0 100 2h3.588l1.5 3A1 1 0 007 20h6a1 1 0 00.912-.667l1.5-3H18a1 1 0 100-2h-2.988l-.894-2H17a1 1 0 100-2h-4.382l1.724-3.447A1 1 0 0010 2z"></path>
                </svg>
              </div>
              <div>
                <h4 class="font-bold text-gray-800 dark:text-gray-200">Consulting Excellence</h4>
                <p class="text-sm text-gray-600 dark:text-gray-400">Apps Completed by Participants: <strong>210</strong></p>
              </div>
            </div>
          </div>
        </div>

        <!-- Mini App Modules Overview for Consultant -->
        <div class="grid grid-cols-1 md:grid-cols-3 gap-6">
          <!-- Mini App: Project Insight -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-xl font-bold text-gray-800 dark:text-gray-200">Project Insight</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Total Responses: <strong>150</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Incomplete: <strong>10</strong></p>
            <a href="#" class="mt-4 inline-block bg-blue-500 hover:bg-blue-600 text-white px-4 py-2 rounded text-sm">
              View Details
            </a>
          </div>
          <!-- Mini App: EngagePulse -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-xl font-bold text-gray-800 dark:text-gray-200">EngagePulse</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Total Responses: <strong>200</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Incomplete: <strong>25</strong></p>
            <a href="#" class="mt-4 inline-block bg-blue-500 hover:bg-blue-600 text-white px-4 py-2 rounded text-sm">
              View Details
            </a>
          </div>
          <!-- Mini App: Feedback360 -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-xl font-bold text-gray-800 dark:text-gray-200">Feedback360</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Total Responses: <strong>85</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Incomplete: <strong>5</strong></p>
            <a href="#" class="mt-4 inline-block bg-blue-500 hover:bg-blue-600 text-white px-4 py-2 rounded text-sm">
              View Details
            </a>
          </div>
        </div>
      </section>

      <!-- PARTICIPANT DASHBOARD EXAMPLE -->
      <section class="mb-12">
        <h2 class="text-2xl font-bold text-blue-700 mb-4">Participant Dashboard Example</h2>
        <!-- Mini App Modules Overview for Participant -->
        <div class="grid grid-cols-1 md:grid-cols-2 gap-6 mb-8">
          <!-- Mini App: Project Insight -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-xl font-bold text-gray-800 dark:text-gray-200">Project Insight</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Status: <strong>Completed</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Responses: <strong>15 answered / 20 total</strong></p>
            <a href="#" class="mt-4 inline-block bg-green-500 hover:bg-green-600 text-white px-4 py-2 rounded text-sm">
              View Your Response
            </a>
          </div>
          <!-- Mini App: EngagePulse -->
          <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow hover:shadow-xl transition">
            <h3 class="text-xl font-bold text-gray-800 dark:text-gray-200">EngagePulse</h3>
            <p class="mt-2 text-sm text-gray-600 dark:text-gray-400">Status: <strong>Completed</strong></p>
            <p class="text-sm text-gray-600 dark:text-gray-400">Responses: <strong>10 answered / 15 total</strong></p>
            <a href="#" class="mt-4 inline-block bg-green-500 hover:bg-green-600 text-white px-4 py-2 rounded text-sm">
              View Your Response
            </a>
          </div>
        </div>

        <!-- Participant Badges (Religious-Themed) -->
        <div class="mb-8">
          <h3 class="text-xl font-semibold text-gray-800 dark:text-gray-200 mb-2">Your Sacred Badges</h3>
          <div class="flex flex-wrap gap-4">
            <!-- Badge: Guardian of Faith -->
            <div class="flex items-center space-x-3 bg-white dark:bg-gray-800 p-4 rounded-lg shadow border border-gray-200 dark:border-gray-700">
              <div class="w-12 h-12 flex-shrink-0 bg-yellow-300 rounded-full flex items-center justify-center">
                <svg class="w-6 h-6 text-white" fill="currentColor" viewBox="0 0 20 20">
                  <path d="M10 2a1 1 0 00-.894.553L7.382 6H3a1 1 0 000 2h3.382l-.894 2H3a1 1 0 100 2h2.488l-1.5 3H2a1 1 0 100 2h3.588l1.5 3A1 1 0 007 20h6a1 1 0 00.912-.667l1.5-3H18a1 1 0 100-2h-2.988l-.894-2H17a1 1 0 100-2h-4.382l1.724-3.447A1 1 0 0010 2z"></path>
                </svg>
              </div>
              <div>
                <h4 class="font-bold text-gray-800 dark:text-gray-200">Guardian of Faith</h4>
                <p class="text-sm text-gray-600 dark:text-gray-400">Earned for 10 completed apps</p>
              </div>
            </div>
            <!-- Badge: Light Bringer -->
            <div class="flex items-center space-x-3 bg-white dark:bg-gray-800 p-4 rounded-lg shadow border border-gray-200 dark:border-gray-700">
              <div class="w-12 h-12 flex-shrink-0 bg-purple-400 rounded-full flex items-center justify-center">
                <svg class="w-6 h-6 text-white" fill="currentColor" viewBox="0 0 20 20">
                  <path d="M10 2a1 1 0 00-.894.553L7.382 6H3a1 1 0 000 2h3.382l-.894 2H3a1 1 0 100 2h2.488l-1.5 3H2a1 1 0 100 2h3.588l1.5 3A1 1 0 007 20h6a1 1 0 00.912-.667l1.5-3H18a1 1 0 100-2h-2.988l-.894-2H17a1 1 0 100-2h-4.382l1.724-3.447A1 1 0 0010 2z"></path>
                </svg>
              </div>
              <div>
                <h4 class="font-bold text-gray-800 dark:text-gray-200">Light Bringer</h4>
                <p class="text-sm text-gray-600 dark:text-gray-400">Awarded for first app completion</p>
              </div>
            </div>
          </div>
        </div>

        <!-- Suggested Next Steps Area -->
        <div class="p-6 bg-white dark:bg-gray-800 rounded-lg shadow">
          <h3 class="text-xl font-semibold text-gray-800 dark:text-gray-200 mb-2">Suggested Next Steps</h3>
          <ul class="list-disc pl-5 text-sm text-gray-600 dark:text-gray-400">
            <li>Explore the new mini app <strong>"Divine Dialogue"</strong> for deeper insights.</li>
            <li>Review your responses to see where you can further improve your understanding.</li>
            <li>Connect with your mentor for personalized feedback.</li>
          </ul>
        </div>
      </section>

    </main>
  </div>
</body>
</html>
