<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>WS App Maker</title>
  <link rel="stylesheet" href="/css/app_styles.css?v=<?= time() ?>">
</head>
<body>
  <div class="top-bar"><h1>🛠️ WS App Maker</h1></div>

  <div id="ws-app-maker">
    <div class="sidebar">
      <h2>Modules</h2>
      <ul>
        <?php foreach ($modules as $mod): ?>
          <li>
            <button class="module-selector-btn" data-module="<?= esc($mod['name']) ?>">
              <?= esc($mod['buttonName']) ?>
            </button>
          </li>
        <?php endforeach; ?>
      </ul>
    </div>

    <div class="canvas" id="canvas"></div>
    <div class="settings" id="settings-pane">
      <div id="settings-content">
        <p>Pick a module to begin.</p>
      </div>
    </div>
  </div>

  <script>
    window.moduleMarkup = <?= json_encode($moduleMarkup); ?>;
    window.moduleSettingsMarkup = <?= json_encode($moduleSettingsMarkup); ?>;
  </script>

  <script src="<?= base_url('js/ws-app-maker.js'); ?>"></script>
  <script src="/js/ws-settings.js?v=<?= time() ?>"></script>

</body>
</html>
