console.log("⚙️ WS Settings Panel Loaded");

function initV2Settings(instanceId) {
  console.log("🔁 Initializing settings for instance:", instanceId);

  const wrapper = document.querySelector(`[data-instance-id="${instanceId}"]`);
  if (!wrapper) {
    console.error("❌ Could not find settings panel for", instanceId);
    return;
  }

  const inputs = wrapper.querySelectorAll('[data-setting]');
  console.log(`🎯 Found ${inputs.length} setting inputs`);

  inputs.forEach(input => {
    const settingKey = input.getAttribute('data-setting');

    input.addEventListener('focus', () => {
      console.log(`👀 Focus on [${settingKey}]`);
    });

    input.addEventListener('input', () => {
      const value = input.value;
      console.log(`📝 [${instanceId}] ${settingKey} = ${value}`);

      if (!window.moduleSettings[instanceId]) {
        window.moduleSettings[instanceId] = {};
      }

      window.moduleSettings[instanceId][settingKey] = value;

      updateModulePreview(instanceId);
    });
  });
}
